<!--
 
function DJmCp(c,p_x,p_y,lx,b_right)
{
var factor=lx/100;
var yAxe=Math.round(50*factor);
var x1=Math.round(80*factor);var y1=0*factor;var x2=Math.round(55*factor);var y2=Math.round(25*factor);
var x3=Math.round(47*factor);var y3=Math.round(17*factor);var x4=Math.round(60*factor);var y4=Math.round(5*factor);
var x5=Math.round(22*factor);var y5=y4;
if(b_right==false)
{
x1=lx-x1;x2=lx-x2;x3=lx-x3;x4=lx-x4;x5=lx-x5;
}
c.beginPath()
c.moveTo(p_x+x1,p_y+yAxe-y1);c.lineTo(p_x+x2,p_y+yAxe-y2);c.lineTo(p_x+x3,p_y+yAxe-y3);c.lineTo(p_x+x4,p_y+yAxe-y4);c.lineTo(p_x+x5,p_y+yAxe-y5);
c.lineTo(p_x+x5,p_y+yAxe+y5);c.lineTo(p_x+x4,p_y+yAxe+y4);
c.lineTo(p_x+x3,p_y+yAxe+y3);c.lineTo(p_x+x2,p_y+yAxe+y2);c.lineTo(p_x+x1,p_y+yAxe+y1);
c.fill()
}
function rcfQk(c,x,y,lx,size,epais)
{
x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);c.fillRect(x,y+(size-epais)/2,size,epais);c.fillRect(x+(size-epais)/2,y,epais,size);
}
function ewwae(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);var x2=9;
c.beginPath();c.moveTo(x+x2,y);c.lineTo(x+x2+6,y+7);c.lineTo(x+x2,y+14);c.fill();
var grad=c.createLinearGradient(x,y,x+8,y);
var uLfSN=new RGBColor(col)
uLfSN.a=0
grad.addColorStop(1,col);grad.addColorStop(0,uLfSN.toRGB());
c.fillStyle=grad;
c.beginPath();c.rect(x,y,8,14);c.fill()
c.fillStyle=old_fill
}
function iAsCR(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;
x=Math.round(x+(lx-size)/2);
y=Math.round(y+(lx-size)/2);
c.fillStyle=col;
c.beginPath();
c.rect(x,y,size,size);
c.fill()
c.fillStyle=old_fill
}
function qmcfY(name,RBsGl,GJVZC)
{
var n=RBsGl.indexOf("%")
if(n>-1)
{
RBsGl=wa_evaluate(RBsGl.replace("%","/100"))
return Math.round(RBsGl*GJVZC)
}
RBsGl=parseFloat(RBsGl)
return Math.round(RBsGl)
}
function MMYVD(cFijW,OQHXf,KiEtX)
{
var x=qmcfY("x",cFijW.x,OQHXf)
var y=qmcfY("y",cFijW.y,KiEtX)
OQHXf=OQHXf-x
KiEtX=KiEtX-y
var lx=qmcfY("lx",cFijW.lx,OQHXf)
var ly=qmcfY("ly",cFijW.ly,KiEtX)
return new Rect(x,y,lx,ly)
}
function WA_change_tool_button(xWKCl,tRbax,over)
{
var nKFew=TTpua(xWKCl)
if(nKFew&&nKFew.LQGXW)
{
var EvmYu=nKFew.LQGXW[tRbax]
if(EvmYu)
{
EvmYu.HQYrR=over
EvmYu.draw()
}
}
}
function WA_toolbar_button(id,lx,ly,type,col,shadow)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
c.clearRect(0,0,lx,ly) 
var current_col=col;
c.fillStyle=current_col;
if(type=="<")
{
DJmCp(c,0,0,lx,false)
}
if(type==">")
{
DJmCp(c,0,0,lx,true)
}
if(type=="down")
{
c.rotate(-Math.PI/2);c.translate(-lx,0);
DJmCp(c,0,0,lx,false)
c.translate(lx,0);c.rotate(Math.PI/2);
}
if(type=="up")
{
c.rotate(Math.PI/2);c.translate(0,-ly);
DJmCp(c,0,0,lx,false);
c.translate(0,ly);c.rotate(-Math.PI/2);
}
if(type=="+")
{
rcfQk(c,0,0,lx,12,4)
}
if(type=="diapo")
{
ewwae(c,0,0,lx,current_col)
}
if(type=="stop")
{
iAsCR(c,0,0,lx,current_col)
}
}
BWGKK.prototype=new Tween();
BWGKK.prototype.constructor=Tween;
BWGKK.superclass=Tween.prototype;
function BWGKK(obj,gIlVE,rxvAt,VTsBQ,pKlLA)
{
this.targetObject=obj;
this.init(new Object(),'a',gIlVE,rxvAt,VTsBQ,pKlLA);
this.onMotionChanged=function(evt)
{
var v=evt.target.getPosition();
var XBkGD=this.targetObject;
v=Math.round(v*100)/100
XBkGD.setOpacity(v/100);
}
}
function WA_photoAlbumActionThumb(xWKCl,tRbax,rogbb)
{
var nKFew=TTpua(xWKCl)
if(nKFew.ULeQh()==false)return 
var oPDoU=nKFew.YUdQr_preview_id;
var EQkib_img=document.getElementById(oPDoU)
if(tRbax==-1) tRbax=0;
var YUdQr=TqEOJ(xWKCl)[tRbax]
var vnuwj=nKFew.JNFxL()
var VgpDf=vnuwj.border_size 
if(rogbb!=true)
if(nKFew.JwuNN==tRbax)
{
return;
}
if(nKFew.bQtxk) return;
nKFew.bQtxk=true
var wioiM_size=new Size(nKFew.hGmVP_preview.width-2*VgpDf,nKFew.hGmVP_preview.height-2*VgpDf)
var wioiM_reso=nKFew.cinWT.max_img_resolution
var src_folder=cDYoU(xWKCl)
var GJVZC=new Size(YUdQr.size.w,YUdQr.size.h)
GJVZC.scale(wioiM_size)
if(wioiM_reso>0)
{
var wioiM_size_album=new Size(wioiM_reso,wioiM_reso)
GJVZC.scale(wioiM_size_album)
}
var hvsRN=new Image();
if(isMSIE())
{
hvsRN=document.getElementById(nKFew.wiOOp) 
hvsRN.width=GJVZC.width
hvsRN.height=GJVZC.height
}
hvsRN.RepAv=0.2
hvsRN.aVVSk=0.1
hvsRN.Fktfc_img=tRbax
hvsRN.CxbXO=nKFew.CxbXO
hvsRN.vjGjR=Tween.strongEaseOut
hvsRN.EQkib_img=EQkib_img
hvsRN.KRvve=document.getElementById(nKFew.CxbXO.divId())
hvsRN.nKFew=nKFew 
hvsRN.bQvvG=GJVZC;
hvsRN.loaded=false;
hvsRN.onload=function()
{
MvMpj(this,this.EQkib_img)
}
hvsRN.onerror=function()
{
Zbwlq(this,false)
}
hvsRN.onabort=function()
{
Zbwlq(this,false)
}
hvsRN.src=src_folder+"/"+YUdQr.th+"?v="+YUdQr.mod;
}
function MvMpj(hvsRN_obj,EQkib_img)
{
if(isMobileBrowser())
{
var nKFew=hvsRN_obj.nKFew
nKFew.JwuNN=hvsRN_obj.Fktfc_img
hvsRN_obj.CxbXO.setOpacity(1);
html_SetOpacity(hvsRN_obj.EQkib_img,1)
iexCH(hvsRN_obj,hvsRN_obj.EQkib_img)
Zbwlq(hvsRN_obj,true)
return;
}
var FdQuY=new BWGKK(hvsRN_obj.CxbXO,hvsRN_obj.vjGjR,100,0,hvsRN_obj.RepAv);
FdQuY.hvsRN_obj=hvsRN_obj
FdQuY.start()
var wWnZA=new OpacityTween(EQkib_img,hvsRN_obj.vjGjR,100,0,hvsRN_obj.RepAv);
wWnZA.hvsRN_obj=hvsRN_obj
wWnZA.EQkib_img=EQkib_img
wWnZA.onMotionFinished=mJTVC
wWnZA.start()
}
function mJTVC()
{
var hvsRN_obj=this.hvsRN_obj 
var tRbax=hvsRN_obj.Fktfc_img
var nKFew=hvsRN_obj.nKFew
nKFew.JwuNN=tRbax 
var pKlLA=0.1
iexCH(this.hvsRN_obj,this.EQkib_img)
var NFmHa=new BWGKK(hvsRN_obj.CxbXO,hvsRN_obj.vjGjR,0,100,hvsRN_obj.aVVSk);
NFmHa.hvsRN_obj=hvsRN_obj
NFmHa.start()
var FTuqa=new OpacityTween(this.EQkib_img,this.hvsRN_obj.vjGjR,0,100,this.hvsRN_obj.aVVSk);
FTuqa.hvsRN_obj=this.hvsRN_obj
FTuqa.EQkib_img=this.EQkib_img
FTuqa.onMotionFinished=MEosX
FTuqa.start() 
}
function MEosX()
{
Zbwlq(this.hvsRN_obj,true)
}
function Zbwlq(hvsRN_obj,Ccogk)
{
var tRbax=hvsRN_obj.Fktfc_img
var nKFew=hvsRN_obj.nKFew
nKFew.bQtxk=false;
var tRbax=nKFew.JwuNN 
{
nKFew.Fjigl=Math.floor(tRbax/(nKFew.VbErl_cols*nKFew.iuBDD))
sjbmP(nKFew.xWKCl)
}
nKFew.VXaxT()
nKFew.HkBti()
}
function iexCH(hvsRN_obj,EQkib_img)
{
var nKFew=hvsRN_obj.nKFew
var GJVZC=hvsRN_obj.bQvvG
nKFew.UDchO.width=GJVZC.width
nKFew.UDchO.height=GJVZC.height
EQkib_img.width=GJVZC.width;
EQkib_img.height=GJVZC.height;
EQkib_img.src=hvsRN_obj.src;
var vnuwj=nKFew.JNFxL()
var sVEqu=new RGBColor(vnuwj.border_col)
var VgpDf=vnuwj.border_size
if(sVEqu.a==0) VgpDf=0;
var jOaCx=nKFew.hGmVP_preview
var goQvC=vnuwj.shadow;
var cOJeX=0;
if(goQvC)cOJeX=6
var x0=Math.round((jOaCx.width-(GJVZC.width+2*VgpDf))/2)
var y0=Math.round((jOaCx.height-(GJVZC.height+2*VgpDf))/2)
nKFew.CxbXO.setRect(x0,y0,GJVZC.width+2*VgpDf,GJVZC.height+2*VgpDf)
var csNIX=document.getElementById(nKFew.csNIX_preview_id)
html_SetPosition(csNIX,VgpDf+x0,VgpDf+y0)
}
function WA_photoAlbumChangeImageSize(EQkib_img,GJVZC,TqXKl)
{
var dec=3
EQkib_img.width=GJVZC
EQkib_img.height=GJVZC
EQkib_img.style.borderWidth=TqXKl
}
function WA_photoAlbumThumbOver(EQkib,xWKCl,tRbax)
{
var nKFew=TTpua(xWKCl)
var YUdQr_def=TqEOJ(xWKCl)[tRbax]
var oPDoU=nKFew.IZnFd(tRbax)
var EQkib_img=document.getElementById(oPDoU)
EQkib.nKFew=nKFew;
EQkib.EQkib_img=EQkib_img
var dec=2
WA_photoAlbumChangeImageSize(EQkib_img,nKFew.GJVZC_thumb-2*dec,nKFew.Zhbqf+dec)
}
function WA_photoAlbumThumbOut(EQkib)
{
var EQkib_img=EQkib.EQkib_img;
var nKFew=EQkib.nKFew
WA_photoAlbumChangeImageSize(EQkib_img,nKFew.GJVZC_thumb,nKFew.Zhbqf)
}
function RhLFC(xWKCl,QJKFF)
{
this.xWKCl=xWKCl;
this.sAorJ=25;
this.tKOkF=QJKFF;
this.Rexcd="photo-album-toolbar-"+this.xWKCl
this.rWCWY=("photo-album-scroll-content"+this.xWKCl)
this.hGmVP_selector_slider=null;
this.hGmVP_selector_toolbar=null;
this.hGmVP_preview=null;
this.VbErl_cols=0;
this.iuBDD=0;
this.QuFZX=new Array()
this.Fjigl=0;
this.VbErl_pages=1
this.YmebV=true;
this.sLYuo=false
this.EiWNQ=40
this.UDchO=new Size(0,0)
this.kOCGZ=-1;
this.JwuNN=-1;
this.VbErl_images=this.tKOkF.def.length
this.BwFSn=false;
this.oNUbF=new Rect(0,0,100,100)
this.cinWT=CIkgl(this.xWKCl)
var hFjog=this.cinWT
if(hFjog.diaporama&&(hFjog.diaporama.startup))this.BwFSn=true;
this.HVDDe=false;
this.mlJDX=false;
this.iUtes=0;
this.JYKfV=function()
{
if(this==this.tKOkF.album_object) return true;
return false;
}
this.JCMgW=function()
{
return this.xWKCl+this.iUtes
}
this.FDnfJ=function()
{
var hFjog=CIkgl(xWKCl)
var Ndafe=this.ZTESI();
this.sLYuo=Ndafe.nav_has_horz_flow
if(this.sLYuo==false)
{
this.QuFZX.push("up")
this.QuFZX.push("down")
}
else
{
this.QuFZX.push("<")
this.QuFZX.push(">")
}
if(this.bGcMN())
{
this.QuFZX.push("+")
}
else
if(this.EstuP())
{
this.QuFZX.push("-")
}
if(hFjog.diaporama)
{
this.QuFZX.push("diapo")
}
if((Ndafe.nav_but_orient==5)||(Ndafe.nav_but_orient==3))
{
this.YmebV=false;
}
var canvas_bg=""
this.lZJxV_selector=new WA_GraphicElement(this.JCMgW()+"-graphic-selector-bg",50,Ndafe.bg_shadow)
this.lZJxV_selector.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,Ndafe.bg_border_col,[Ndafe.bg_col],Ndafe.bg_shadow,0)
}
canvas_bg+=this.lZJxV_selector.toHtml() 
this.lZJxV_toolbar=new WA_GraphicElement(this.JCMgW()+"-graphic-toolbar-bg",50,Ndafe.bg_shadow)
this.lZJxV_toolbar.YmebV=this.YmebV 
this.lZJxV_toolbar.draw=function()
{
var oASji_toolbar=false;
if(this.YmebV)
{
oASji_toolbar=gKQwO(0,0,0,this.rect().height/2,Ndafe.toolbar_bg_col1,Ndafe.toolbar_bg_col2)
}
else
{
oASji_toolbar=gKQwO(0,0,this.rect().width/2,0,Ndafe.toolbar_bg_col1,Ndafe.toolbar_bg_col2)
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,Ndafe.toolbar_border_col,[oASji_toolbar],Ndafe.toolbar_shadow,0)
}
canvas_bg+=this.lZJxV_toolbar.toHtml() 
this.LQGXW=new Array()
this.LQGXW_by_action=new Array()
for(var n=0;n<this.QuFZX.length;n++)
{
var n_action=this.QuFZX[n]
var EvmYu=new WA_GraphicElement(this.JCMgW()+"-graphic-toolbar-but"+n,70,false)
EvmYu.n_action=n_action
EvmYu.nKFew=this
EvmYu.HQYrR=false
EvmYu.sAorJ=this.sAorJ
EvmYu.cggsK=Ndafe.toolbar_but_col1
EvmYu.WfNNB=Ndafe.toolbar_but_col2
EvmYu.draw=function()
{
var rZYhv=this.sAorJ
var vLTTG=this.n_action
if(vLTTG=="diapo")
{
if(this.nKFew.STMKZ())vLTTG="stop"
}
var cPTNX=(this.HQYrR)?this.WfNNB:this.cggsK
WA_toolbar_button(this.canvasId(),rZYhv,rZYhv,vLTTG,cPTNX,true)
}
this.LQGXW.push(EvmYu)
var aKSOj=n_action
if(aKSOj=="up")aKSOj="<"
if(aKSOj=="down")aKSOj=">"
this.LQGXW_by_action[aKSOj]=EvmYu
canvas_bg+="<div id='"+EvmYu.divId()+"-href' onclick=\"javascript:WA_photoAlbumAction('"+this.xWKCl+"',"+n+")\" ";
canvas_bg+="style=\""
canvas_bg+="position:absolute;"
canvas_bg+="z-index:1000;"
canvas_bg+="cursor:pointer;"
canvas_bg+="\" "
canvas_bg+="onmouseover=\"";
canvas_bg+="WA_change_tool_button('"+this.xWKCl+"',"+n+",true)";
canvas_bg+="\" ";
canvas_bg+="onmouseout=\"";
canvas_bg+="WA_change_tool_button('"+this.xWKCl+"',"+n+",false)";
canvas_bg+="\" ";
canvas_bg+=">";
canvas_bg+="</div>";
canvas_bg+=EvmYu.toHtml()
}
canvas_bg+="<div id='"+this.rWCWY+"' style=\"";
canvas_bg+="position:absolute;z-index:100;";
canvas_bg+="overflow:hidden;";
canvas_bg+="\"></div>";
return canvas_bg;
}
this.KsiGa=function()
{
var Ndafe=this.ZTESI();
var r1_rect=this.hGmVP_selector_slider;
var XuvUf="" 
var min_size=Math.min(r1_rect.width,r1_rect.height)
var size_thumb=Ndafe.th_size.size;
if(Ndafe.th_size.percent) size_thumb=Math.round(size_thumb*(min_size)/100);
var image_spacing=Math.max(0,Math.round((Ndafe.th_spacing/100)*size_thumb))
image_spacing=Math.round(image_spacing/2)*2
var nb_cols_real=r1_rect.width/(size_thumb+image_spacing);
var nb_cols=Math.floor(nb_cols_real);
this.VbErl_cols=Math.max(1,nb_cols);
var nb_rows_real=r1_rect.height/(size_thumb+image_spacing);
var nb_rows=Math.floor(nb_rows_real);
this.iuBDD=Math.max(1,nb_rows);
var size_border_thumbnail=Math.max(1,Math.round((size_thumb)*0.03));
size_thumb-=2*size_border_thumbnail
var nb_images=this.VbErl_images
var nb_pages=(nb_images/(this.VbErl_cols*this.iuBDD));
if(nb_pages>Math.floor(nb_pages)) nb_pages=Math.floor(nb_pages)+1;
this.VbErl_pages=nb_pages
this.GJVZC_thumb=size_thumb;
this.OjLYL=image_spacing;
this.Zhbqf=size_border_thumbnail
var n_image=0;
var nb_item_x=this.VbErl_cols*nb_pages
var nb_item_y=this.iuBDD;
var nb_item_per_page=this.VbErl_cols*this.iuBDD 
if(this.sLYuo==false)
{
nb_item_x=this.VbErl_cols
nb_item_y=this.iuBDD*nb_pages;
}
XuvUf+="<table border=0 cellpadding=0 cellspacing=0 width=100% height=100% >";
XuvUf+="<tr>"
XuvUf+="<td "
if((this.sLYuo==false)||(this.VbErl_pages==1))
{
XuvUf+="align=center"
}
XuvUf+=">" 
XuvUf+="<table border=0 cellpadding="+(image_spacing/2)+" cellspacing=0  width=10px>";
for(var oiPVw=0;oiPVw<nb_item_y;oiPVw++)
{
XuvUf+="<tr>" 
for(var ajVgw=0;ajVgw<nb_item_x;ajVgw++)
{
XuvUf+="<td>"
var ind_img=0;
var nx_0=Math.floor(ajVgw/this.VbErl_cols)
var diff0=ajVgw-nx_0*this.VbErl_cols;
ind_img=nx_0*nb_item_per_page+(oiPVw*this.VbErl_cols)+diff0
if(ind_img<nb_images)
{
var YUdQr=this.tKOkF.def[ind_img]
var YUdQr_src=this.tKOkF.src_folder+"/th_"+YUdQr.th+"?v="+YUdQr.mod
XuvUf+="<a href=\"";
if(this.ULeQh())
{
XuvUf+="javascript:WA_photoAlbumActionThumb('"+xWKCl+"',"+ind_img+")"
}
else
{
XuvUf+="javascript:WA_photoAlbumIncrease('"+xWKCl+"',"+ind_img+")"
}
XuvUf+="\" "
XuvUf+="onmouseover=\"WA_photoAlbumThumbOver(this,'"+xWKCl+"',"+ind_img+")\" "
XuvUf+="onmouseout=\"WA_photoAlbumThumbOut(this)\" "
XuvUf+=">"
XuvUf+="<img id='"+this.IZnFd(ind_img)+"' width="+size_thumb+"px height="+size_thumb+"px src='"+YUdQr_src+"' ";
XuvUf+="style='";
if(size_border_thumbnail>0)
{
XuvUf+="border-color:"+Ndafe.selector_img_border_color+";";
XuvUf+="border-width:"+size_border_thumbnail+"px;border-style:solid;";
}
XuvUf+="' ";
XuvUf+=">"
XuvUf+="</a>"
n_image++;
}
XuvUf+="</td>"
}
if(this.YmebV)
if(this.VbErl_pages>1)
{
for(var ajVgw=0;ajVgw<this.VbErl_cols;ajVgw++)
{
var bAEIG=size_thumb+2*size_border_thumbnail
XuvUf+="<td>"
XuvUf+="<div  style='width:"+(bAEIG)+"px;height:"+bAEIG+"px;'></div>";
XuvUf+="</td>"
}
}
XuvUf+="</tr>"
}
if(this.YmebV==false)
if(this.VbErl_pages>1)
{
for(var oiPVw=0;oiPVw<this.iuBDD;oiPVw++)
{
XuvUf+="<tr>"
var bAEIG=size_thumb+2*size_border_thumbnail
XuvUf+="<td colspan="+this.VbErl_cols+">"
XuvUf+="<div  style='width:"+(bAEIG)+"px;height:"+bAEIG+"px;'></div>";
XuvUf+="</td>"
XuvUf+="</tr>"
}
}
XuvUf+="</table>" 
XuvUf+="</td>"
XuvUf+="</tr>"
XuvUf+="</table>"
return XuvUf;
}
this.IZnFd=function(tRbax)
{
return this.JCMgW()+"-th-img"+tRbax
}
this.YQpaT=function()
{
var vnuwj=this.JNFxL();
if(vnuwj==false) return;
var YUdQr=this.tKOkF.def[0]
this.YUdQr_preview_id="photo-album-preview-img-"+this.JCMgW()
this.wiOOp=this.YUdQr_preview_id+"-cache"
this.csNIX_preview_id="photo-album-preview-img-div"+this.JCMgW()
this.TNPYn_zone_preview_id="photo-album-preview-zone"+this.JCMgW()
var XuvUf=""
XuvUf+="<div  id='"+this.TNPYn_zone_preview_id+"' style=\"";
XuvUf+="position:absolute;z-index:500;";
XuvUf+="\" ";
XuvUf+="onclick=\"WA_clickAlbumPreview('"+this.xWKCl+"')\" ";
XuvUf+="onmousemove=\"javascript:WA_mousemoveAlbumPreview(event,'"+this.xWKCl+"')\" ";
XuvUf+="onmouseout=\"javascript:WA_mouseoutAlbumPreview(event,'"+this.xWKCl+"')\" ";
XuvUf+=">";
XuvUf+="<div style='position:absolute;z-index:450;left:0px;top:0px;";
XuvUf+="width:100%;height:100%;background-color:#000000;";
XuvUf+="filter:alpha(opacity=0);-moz-opacity:0;opacity:0;' "
XuvUf+="></div>"
this.CxbXO=new WA_GraphicElement(this.JCMgW()+"-graphic-img-bg",50,vnuwj.shadow)
this.CxbXO.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',[vnuwj.border_col],this.shadow(),0,this.opacity())
}
XuvUf+=this.CxbXO.toHtml() 
XuvUf+="<div id='"+this.csNIX_preview_id+"' style=\"";
XuvUf+="position:absolute;z-index:100;";
XuvUf+="left:0px;";
XuvUf+="top:0px;";
XuvUf+="\" ";
XuvUf+=">";
XuvUf+="<img  id='"+this.YUdQr_preview_id+"' border=0 >";
if(isMSIE())
{
XuvUf+="<img style='position:absolute;left:0px;top:0px;visibility:hidden;' id='"+this.wiOOp+"'>"
}
else
{
XuvUf+="<img style='position:absolute;left:0px;top:0px;display:none;' id='"+this.wiOOp+"'>"
}
XuvUf+="</div>";
this.iKDdQ=new WA_GraphicElement(this.JCMgW()+"-graphic-arrow0",300,true)
this.iKDdQ.setImage("intuisphere.png",new Rect(97,49,46,47))
this.iKDdQ.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',["#ffffff"],this.shadow(),0,this.opacity(),true)
var OQHXf=Math.round(this.rect().width*0.8);
var KiEtX=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-OQHXf)/2,6+(this.rect().height-KiEtX)/2,OQHXf,KiEtX,this.img_clip(),this.opacity(),false)
}
this.GoEaV=new WA_GraphicElement(this.JCMgW()+"-graphic-arrow1",300,true)
this.GoEaV.setImage("intuisphere.png",new Rect(2,49,46,47))
this.GoEaV.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',["#ffffff"],this.shadow(),0,this.opacity(),true)
var OQHXf=Math.round(this.rect().width*0.8);
var KiEtX=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-OQHXf)/2,6+(this.rect().height-KiEtX)/2,OQHXf,KiEtX,this.img_clip(),this.opacity(),false)
}
XuvUf+=this.iKDdQ.toHtml()
XuvUf+=this.GoEaV.toHtml() 
this.kOiWI=new WA_GraphicElement(this.JCMgW()+"-graphic-cursor-zoom",400,false)
this.kOiWI.setSize(30,30)
this.kOiWI.setImage("intuisphere.png",new Rect(0,0,48,48))
this.kOiWI.draw=function()
{
WA_drawImage(this.canvasId(),this.img_src(),0,0,this.rect().width,this.rect().height,this.img_clip())
}
XuvUf+=this.kOiWI.toHtml() 
XuvUf+="</div>";
return XuvUf;
}
this.uEOil=function()
{
if(this.lDHMY())
{
this.lZJxV_selector.registerDynamicCanvas();
this.lZJxV_toolbar.registerDynamicCanvas();
for(var n=0;n<this.LQGXW.length;n++)
{
var EvmYu=this.LQGXW[n]
EvmYu.registerDynamicCanvas();
}
}
if(this.ULeQh())
{
this.CxbXO.registerDynamicCanvas();
this.iKDdQ.registerDynamicCanvas();
this.GoEaV.registerDynamicCanvas();
this.kOiWI.registerDynamicCanvas();
this.kOiWI.setVisible(false)
}
if(this.lZJxV_global)
this.lZJxV_global.registerDynamicCanvas();
this.CXXpJ()
}
this.STMKZ=function()
{
return(this.ixWAg)?true:false;
}
this.WYQgD=function()
{
return(this.Fjigl>0)
}
this.YNGkY=function()
{
return(this.Fjigl<this.VbErl_pages-1)
}
this.YkaIR=function()
{
return(this.JwuNN>0);
}
this.BsGxs=function()
{
return(this.JwuNN<this.tKOkF.def.length-1);
}
this.OWNdL=function()
{
if(this.lDHMY())
{
var Ndafe=this.ZTESI() 
var OQHXf=this.oNUbF.width
var KiEtX=this.oNUbF.height
var r0=Ndafe.rect
var r0_rect=MMYVD(r0,OQHXf,KiEtX)
r0_rect.x+=this.oNUbF.x
r0_rect.y+=this.oNUbF.y
var r1_rect=r0_rect.clone()
var lTDfI_toolbar=r0_rect.clone()
var KDQGb=this.QuFZX.length 
var XNmCu=5
var BNWIX=this.sAorJ+XNmCu*2
var nxkQF=(KDQGb*this.sAorJ)
if(Ndafe.nav_but_orient==1)
{
r1_rect.y+=BNWIX;
r1_rect.height-=BNWIX;
lTDfI_toolbar.x=lTDfI_toolbar.x+(lTDfI_toolbar.width-nxkQF)/2;
lTDfI_toolbar.width=nxkQF
lTDfI_toolbar.y+=XNmCu;
lTDfI_toolbar.height=this.sAorJ;
}
if(Ndafe.nav_but_orient==5)
{
r1_rect.width-=BNWIX;
lTDfI_toolbar.y=lTDfI_toolbar.y+(lTDfI_toolbar.height-nxkQF)/2;
lTDfI_toolbar.height=nxkQF
lTDfI_toolbar.x+=r1_rect.width+XNmCu;
lTDfI_toolbar.width=this.sAorJ;
}
if(Ndafe.nav_but_orient==7)
{
r1_rect.height-=BNWIX;
lTDfI_toolbar.x=lTDfI_toolbar.x+(lTDfI_toolbar.width-nxkQF)/2;
lTDfI_toolbar.width=nxkQF
lTDfI_toolbar.y+=r1_rect.height+XNmCu;
lTDfI_toolbar.height=this.sAorJ;
}
if(Ndafe.nav_but_orient==3)
{
r1_rect.width-=BNWIX;
r1_rect.x+=BNWIX;
lTDfI_toolbar.y=lTDfI_toolbar.y+(lTDfI_toolbar.height-nxkQF)/2;
lTDfI_toolbar.height=nxkQF
lTDfI_toolbar.x+=XNmCu;
lTDfI_toolbar.width=this.sAorJ;
}
this.hGmVP_selector_slider=r1_rect
this.hGmVP_selector_toolbar=lTDfI_toolbar 
var SUwtd=this.hGmVP_selector_slider;
this.lZJxV_selector.setRect(SUwtd.x,SUwtd.y,SUwtd.width,SUwtd.height)
html_SetRect(this.rWCWY,r1_rect) 
var lTDfI=this.hGmVP_selector_toolbar
this.lZJxV_toolbar.setRect(lTDfI.x,lTDfI.y,lTDfI.width,lTDfI.height)
var lx_button=this.sAorJ
var ly_button=lx_button
var Hakie=lTDfI_toolbar.x
var oiPVw_but0=lTDfI_toolbar.y
for(var n=0;n<this.LQGXW.length;n++)
{
var EvmYu=this.LQGXW[n]
var TsGTa=Hakie
var oiPVw_but=oiPVw_but0
if(this.YmebV)
{
TsGTa+=n*lx_button;
}
else
{
oiPVw_but+=n*ly_button;
}
EvmYu.setRect(TsGTa,oiPVw_but,lx_button,ly_button)
html_SetGeometry(EvmYu.divId()+"-href",TsGTa,oiPVw_but,lx_button,ly_button)
}
var EQkib_selector=document.getElementById(this.rWCWY)
if(EQkib_selector)
{
EQkib_selector.innerHTML=this.KsiGa();
}
this.HkBti()
}
}
this.bGcMN=function()
{
if((this.iUtes==1)&&(this.lDHMY()==true)) return true;
if((this.iUtes==0)&&(this.cinWT.has_full_page_config)) return true;
return false;
}
this.EstuP=function()
{
if(this.iUtes==1) return true;
if(this.iUtes==2) return true;
return false;
}
this.anCrL=function()
{
return this.BwFSn;
}
this.ZTESI=function()
{
return this.HVDDe;
}
this.JNFxL=function()
{
return this.mlJDX;
}
this.lDHMY=function()
{
if(this.ZTESI()) return true;
return false;
}
this.ULeQh=function()
{
if(this.JNFxL()) return true;
return false;
}
this.HkBti=function()
{
if(this.lDHMY()==false)return
var keksI=this.LQGXW_by_action["<"]
keksI.setVisible(this.WYQgD())
var AijXj=this.LQGXW_by_action[">"]
AijXj.setVisible(this.YNGkY())
}
this.VXaxT=function()
{
var vnuwj=this.JNFxL();
var OQHXf=this.oNUbF.width
var KiEtX=this.oNUbF.height
var SUwtd=vnuwj.rect
var SUwtd_rect=MMYVD(SUwtd,OQHXf,KiEtX)
if(this.iUtes==2)
{
SUwtd_rect=new Rect(0,0,OQHXf,KiEtX)
}
SUwtd_rect.x+=this.oNUbF.x
SUwtd_rect.y+=this.oNUbF.y
var lTDfI_rect=SUwtd_rect.clone()
this.hGmVP_preview=lTDfI_rect
html_SetRect(this.TNPYn_zone_preview_id,this.hGmVP_preview)
this.aqrrl()
this.MfJiE()
}
this.SCoYc=function()
{
if(this.STMKZ()) return;
if(this.ULeQh()==false)return;
var vjGjR=Tween.regularEaseOut
var pKlLA=0.3
if((!this.MEWWw)||(this.MEWWw.isRunning()==false))
{
if(this.MEWWw)this.MEWWw.stop()
this.MEWWw=new BWGKK(this.iKDdQ,vjGjR,0,100,pKlLA)
this.MEWWw.onMotionFinished=this.Jlppc
this.MEWWw.m_count=0
this.MEWWw.start()
}
if((!this.Fuqgc)||(this.Fuqgc.isRunning()==false))
{
if(this.Fuqgc)this.Fuqgc.stop()
this.Fuqgc=new BWGKK(this.GoEaV,vjGjR,0,100,pKlLA)
this.Fuqgc.onMotionFinished=this.Jlppc
this.Fuqgc.m_count=0
this.Fuqgc.start()
}
}
this.Jlppc=function()
{
if(this.m_count>=3)
{
return;
}
this.yoyo()
this.m_count++}
this.aqrrl=function()
{
if(this.JYKfV()==false)return;
if(this.ULeQh()==false)return
if(isMobileBrowser())return
var PMVFh=30
var nKFew=this;
var iKRGF=nKFew.GljUu
var n_pos=nKFew.kOCGZ;
if(n_pos!=-1)
{
var elaxf=true;
if(n_pos==0)
{
if(nKFew.YkaIR()==false)elaxf=false;
nKFew.kOiWI.setImage("intuisphere.png",new Rect(97,49,46,47))
}
else
if(n_pos==1)
{
if(nKFew.EstuP())
{
nKFew.kOiWI.setImage("intuisphere.png",new Rect(48,0,48,48))
}
else
if(nKFew.bGcMN())
{
nKFew.kOiWI.setImage("intuisphere.png",new Rect(0,0,48,48))
}
else
{
elaxf=false;
}
}
else
if(n_pos==2)
{
if(nKFew.BsGxs()==false)elaxf=false;
nKFew.kOiWI.setImage("intuisphere.png",new Rect(0,49,46,47))
}
nKFew.kOiWI.setPosition(iKRGF.x,iKRGF.y,PMVFh,PMVFh);
nKFew.kOiWI.setVisible(elaxf)
}
else
{
nKFew.kOiWI.setVisible(false)
}
}
this.MfJiE=function()
{
if(this.ULeQh()==false)return
if((this.STMKZ()==false)&&(this.UDchO.width>0))
{
var EiWNQ=40
var x_arrow0=(this.hGmVP_preview.width-this.UDchO.width)/2
var x_arrow1=(x_arrow0+this.UDchO.width-EiWNQ)
var y_arrow0=(this.hGmVP_preview.height-this.UDchO.height)/2+(this.UDchO.height-EiWNQ)/2 
this.iKDdQ.setRect(x_arrow0,y_arrow0,EiWNQ,EiWNQ)
this.GoEaV.setRect(x_arrow1,y_arrow0,EiWNQ,EiWNQ)
this.iKDdQ.setVisible(this.YkaIR())
this.GoEaV.setVisible(this.BsGxs())
}
else
{
this.iKDdQ.setVisible(false)
this.GoEaV.setVisible(false)
}
this.iKDdQ.setOpacity(0)
this.GoEaV.setOpacity(0)
}
this.CXXpJ=function()
{
if(this.ULeQh())
{
this.VXaxT()
var tRbax=this.JwuNN 
WA_photoAlbumActionThumb(this.xWKCl,tRbax,true)
this.VXaxT()
}
this.OWNdL()
if(this.lZJxV_global)
{
this.lZJxV_global.setRect(0,0,this.oNUbF.width,this.oNUbF.height);
}
if(this.SRIuo)
{
html_SetGeometry(this.SRIuo,0,0,this.oNUbF.width,this.oNUbF.height)
}
}
this.sBrhs=function()
{
if(this.ULeQh())
{
WA_photoAlbumActionThumb(this.xWKCl,this.JwuNN,true)
}
}
this.IkrfO=function(ehHDF)
{
var XuvUf=""
if(this.lDHMY())
{
XuvUf+=this.FDnfJ();
}
if(this.ULeQh())
{
XuvUf+=this.YQpaT();
};
if((this.iUtes==1)||(this.iUtes==2))
{
if(this.cinWT.bg_fullpage_img.length>0)
{
this.SRIuo=this.JCMgW()+"-graphic-fullpage-bg";
XuvUf+="<div id='"+this.SRIuo+"' style=\"";
XuvUf+="position:absolute;z-index:0;";
if(this.cinWT.bg_fullpage_img_type==0)
{
XuvUf+="background-image:url('"+this.cinWT.bg_fullpage_img+"');";
XuvUf+="background-repeat: repeat;";
}
XuvUf+="\" ";
XuvUf+=">";
if(this.cinWT.bg_fullpage_img_type==1)
{
XuvUf+="<img src='"+this.cinWT.bg_fullpage_img+"' width=100% height=100% border=0 >";
}
XuvUf+="</div>";
}
else
{
var oASji=this.cinWT.bg_fullpage_grad
this.lZJxV_global=new WA_GraphicElement(this.JCMgW()+"-graphic-global-bg",0,false)
this.lZJxV_global.oASji=oASji
this.lZJxV_global.draw=function()
{
var oASji=this.oASji
var oASji_bg=false
if(oASji.has_gradient)
{
var OQHXf=this.rect().width
var KiEtX=this.rect().height
var xg1=oASji.pt1.x*OQHXf/100
var yg1=oASji.pt1.y*KiEtX/100
var xg2=oASji.pt2.x*OQHXf/100
var yg2=oASji.pt2.y*KiEtX/100
oASji_bg=gKQwO(xg1,yg1,xg2,yg2,oASji.col1,oASji.col2)
}
else
{
oASji_bg=oASji.col1
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'',[oASji_bg],false,0,1)
}
XuvUf+=this.lZJxV_global.toHtml();
}
}
var gBaFH=document.getElementById(ehHDF);
gBaFH.innerHTML=XuvUf
gBaFH.style.display="block"
if(navigator.userAgent.match(/opera/i))
{
wa_timeout("WA_registerAlbum('"+this.xWKCl+"') ",0)
}
else
{
WA_registerAlbum(xWKCl)
}
if(this.anCrL()==false)
{
this.SCoYc()
}
}
this.tpnLK=function()
{
var TNPYn_id="wa-dialog-container"
if(this.bGcMN()==false) return;
if(this.iUtes==0)
if(this.cinWT.plugin_fullscreen_url.length>0)
{
window.open(this.cinWT.plugin_fullscreen_url)
return;
}
this.kOCGZ=-1;
this.aqrrl()
var tKOkF=this.tKOkF
var hGmVP=new Rect(0,0,getWindowSize().width,getWindowSize().height)
var nKFew=new RhLFC(xWKCl,tKOkF)
nKFew.JwuNN=this.JwuNN
if(this.iUtes==0)
{
nKFew.iUtes=1
}
else
if(this.iUtes==1)
{
nKFew.iUtes=2
}
tKOkF.album_object=nKFew;
nKFew.oNUbF.copy(hGmVP)
nKFew.HVDDe=tKOkF.layout.selector_fullpage
if(nKFew.iUtes==2)
{
nKFew.HVDDe=false
}
nKFew.mlJDX=tKOkF.layout.preview_fullpage
wa_global_photo_album.fullpage_object=nKFew
nKFew.IkrfO(TNPYn_id)
return nKFew
}
this.PAWrc=function()
{
if(this.EstuP()==false) return;
this.vwnsi()
var TNPYn_id="wa-dialog-container"
var tKOkF=this.tKOkF
tKOkF.album_object=tKOkF.KLmlF;
wa_global_photo_album.fullpage_object=false
if(this.iUtes==1)
{
var gBaFH=document.getElementById(TNPYn_id);
gBaFH.innerHTML=""
gBaFH.style.display="none"
WA_photoAlbumActionThumb(this.xWKCl,this.JwuNN,true)
return tKOkF.KLmlF
}
if(this.iUtes==2)
{
tKOkF.album_object.JwuNN=this.JwuNN
return tKOkF.album_object.tpnLK()
}
}
this.vwnsi=function()
{
if(this.STMKZ())
{
this.BwFSn=false
clearTimeout(this.ixWAg)
this.ixWAg=false;
}
}
this.onFullScreenKeydown=function(k)
{
if(k==27)
{
this.PAWrc()
return false;
}
imnQx(this.xWKCl,[k])
return false;
}
}
function gKQwO(cnpnh,NNhkA,BtgDA,JLraK,nMRlB,nmqYt)
{
var AsLxY=""
AsLxY+="(";
AsLxY+=cnpnh+";"+NNhkA+";"+BtgDA+";"+JLraK+";";
AsLxY+=nMRlB+";";
AsLxY+=nmqYt;
AsLxY+=")";
return AsLxY;
}
function WA_photoAlbumAction(xWKCl,tRbax)
{
var nKFew=TTpua(xWKCl)
var EvmYu=nKFew.LQGXW[tRbax]
var n_action=EvmYu.n_action
if((n_action=="<")||(n_action=="up"))
{
nKFew.Fjigl=Math.max(0,nKFew.Fjigl-1)
sjbmP(xWKCl)
}
if((n_action==">")||(n_action=="down"))
{
nKFew.Fjigl=Math.min(nKFew.VbErl_pages-1,nKFew.Fjigl+1)
sjbmP(xWKCl)
}
if(n_action=="diapo")
{
RnGqE(xWKCl)
}
if(n_action=="+")
{
nKFew.tpnLK()
}
}
function WA_photoAlbumIncrease(xWKCl,tRbax)
{
var nKFew=TTpua(xWKCl)
nKFew.JwuNN=tRbax
nKFew.tpnLK()
}
function RnGqE(xWKCl)
{
var nKFew=TTpua(xWKCl)
if(nKFew.STMKZ()==false)
{
var VbErl_increase=0;
var WlgJR=nKFew;
while(WlgJR.bGcMN())
{
WlgJR=WlgJR.tpnLK()
VbErl_increase++}
if(VbErl_increase>0)
{
WlgJR.VbErl_decrease_view_when_diaporama_stop=VbErl_increase;
WA_goNextDiaporama(xWKCl)
WlgJR.MfJiE()
return;
}
}
if(nKFew.STMKZ())
{
KWQss(xWKCl)
}
else
{
WA_goNextDiaporama(xWKCl)
}
if(nKFew.lDHMY())
{
var EvmYu=nKFew.LQGXW_by_action["diapo"]
EvmYu.draw()
}
}
function KWQss(xWKCl)
{
var nKFew=TTpua(xWKCl)
if(nKFew.STMKZ())
{
nKFew.vwnsi()
if(nKFew.VbErl_decrease_view_when_diaporama_stop)
{
var WlgJR=nKFew;
for(var n=0;n<nKFew.VbErl_decrease_view_when_diaporama_stop;n++)
{
WlgJR=WlgJR.PAWrc() 
}
return;
}
}
if(nKFew.lDHMY())
{
var EvmYu=nKFew.LQGXW_by_action["diapo"]
EvmYu.draw()
}
}
function WA_goNextDiaporama(xWKCl)
{
var hFjog=CIkgl(xWKCl)
var UiGcE=TqEOJ(xWKCl)
var nKFew=TTpua(xWKCl)
var tRbax=(nKFew.JwuNN+1)%UiGcE.length;
if(hFjog.diaporama.random)
{
tRbax=Math.round((UiGcE.length-1)*Math.random());
}
WA_photoAlbumActionThumb(xWKCl,tRbax)
nKFew.ixWAg=wa_timeout("WA_goNextDiaporama('"+xWKCl+"')",hFjog.diaporama.time*1000)
}
function xDYoJ(xWKCl,tRbax)
{
var nKFew=TTpua(xWKCl)
if(tRbax<0)
{
nKFew.SCoYc()
return false;
}
if(tRbax>nKFew.VbErl_images-1)
{
nKFew.SCoYc()
return false;
}
WA_photoAlbumActionThumb(xWKCl,tRbax)
return true;
}
function RlmRj(xWKCl)
{
var nKFew=TTpua(xWKCl)
if(nKFew.STMKZ()) return false;
return xDYoJ(xWKCl,nKFew.JwuNN+1)
}
function GLjrH(xWKCl)
{
var nKFew=TTpua(xWKCl)
if(nKFew.STMKZ()) return false;
return xDYoJ(xWKCl,nKFew.JwuNN-1)
}
function WA_clickAlbumPreview(xWKCl)
{
var nKFew=TTpua(xWKCl)
if(nKFew.anCrL()) return;
if(nKFew.STMKZ())
{
KWQss(xWKCl)
}
var XljZN=nKFew.kOCGZ
if(XljZN!=-1)
{
if(XljZN==2)RlmRj(xWKCl)
if(XljZN==1)
{
if(nKFew.EstuP())
{
nKFew.PAWrc()
}
else
if(nKFew.bGcMN())
{
nKFew.tpnLK()
}
}
if(XljZN==0)GLjrH(xWKCl)
}
}
function WA_mouseoutAlbumPreview(e,xWKCl)
{
var nKFew=TTpua(xWKCl)
nKFew.kOiWI.setVisible(false)
nKFew.kOCGZ=-1;
}
function WA_mousemoveAlbumPreview(e,xWKCl)
{
var posx=0;
var posy=0;
if(!e)  e=window.event;
if(e.pageX||e.pageY){
posx=e.pageX;
posy=e.pageY;
}
else if(e.clientX||e.clientY){
posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft;
posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop;
}
var nKFew=TTpua(xWKCl)
var TNPYn_bg=document.getElementById(nKFew.kOiWI.divId())
var pt=html_findPos(TNPYn_bg.offsetParent)
var x=posx-pt.x+1;
var y=posy-pt.y+1;
var n_pos=-1
if(nKFew.STMKZ()==false)
{
if((x>0)&&(x<nKFew.hGmVP_preview.width))
if((y>0)&&(y<nKFew.hGmVP_preview.height))
{
n_pos=1;
if(x<nKFew.hGmVP_preview.width*0.3)n_pos=0;
if(x>nKFew.hGmVP_preview.width*(1-0.3))n_pos=2;
}
}
nKFew.GljUu=new Point(x,y);
nKFew.kOCGZ=n_pos;
nKFew.aqrrl();
}
function sjbmP(xWKCl)
{
var nKFew=TTpua(xWKCl)
var EQkib=document.getElementById(nKFew.rWCWY)
if(!EQkib)return;
var GZegl;
var TIhgW=0;
var size_thumb=nKFew.GJVZC_thumb;
var OjLYL=nKFew.OjLYL;
var RhEKm=0;
var wCpmB=(size_thumb+2*nKFew.Zhbqf+OjLYL);
var MdsXi=nKFew.VbErl_cols*nKFew.iuBDD;
if(nKFew.sLYuo)
{
RhEKm=nKFew.Fjigl*nKFew.VbErl_cols*wCpmB
}
else
{
RhEKm=nKFew.Fjigl*nKFew.iuBDD*wCpmB
}
if(nKFew.sLYuo)
{
GZegl="scrollLeft"
TIhgW=EQkib.scrollLeft
}
else
{
GZegl="scrollTop"
TIhgW=EQkib.scrollTop
}
if(TIhgW==RhEKm)
{
return;
}
if(nKFew.m_tween_slider)
{
nKFew.m_tween_slider.stop()
}
var pKlLA=0.7;
nKFew.m_tween_slider=new Tween(EQkib,GZegl,Tween.strongEaseOut,TIhgW,RhEKm,pKlLA);
nKFew.m_tween_slider.onMotionFinished=ceraX
nKFew.m_tween_slider.nKFew=nKFew
nKFew.m_tween_slider.start() 
}
function ceraX()
{
var nKFew=this.nKFew
nKFew.HkBti()
}
function QsZeI(xWKCl)
{
return wa_global_photo_album[xWKCl]
}
function TTpua(xWKCl)
{
return wa_global_photo_album[xWKCl].album_object
}
function TqEOJ(xWKCl)
{
return wa_global_photo_album[xWKCl].def
}
function cDYoU(xWKCl)
{
return wa_global_photo_album[xWKCl].src_folder
}
function CIkgl(xWKCl)
{
return wa_global_photo_album[xWKCl].layout
}
function iuSws(MVpfw)
{
var xWKCl=MVpfw[0]
WA_addHandler(xWKCl,"mousewheel",QdaEP)
WA_addHandler(xWKCl,"keydown",imnQx)
var TNPYn_id="photo-album-main-"+xWKCl
var tKOkF=QsZeI(xWKCl)
var hGmVP=new Rect()
hGmVP.copy(tKOkF.size_container) 
var nKFew=new RhLFC(xWKCl,tKOkF) 
tKOkF.album_object=nKFew;
tKOkF.KLmlF=nKFew 
nKFew.oNUbF.copy(hGmVP)
nKFew.HVDDe=tKOkF.layout.selector
nKFew.mlJDX=tKOkF.layout.preview
nKFew.IkrfO(TNPYn_id) 

var nKFew=TTpua(xWKCl)
var wReqc=document.wa_global_query_info
if(wReqc)
{
if(xWKCl==wReqc.m_unid)
{
nKFew.JwuNN=wReqc.m_index_item
nKFew.tpnLK()
return;
}
}
if(nKFew.anCrL())
{
RnGqE(xWKCl)
return;
}
}
function WA_registerAlbum(xWKCl)
{
TTpua(xWKCl).uEOil()
}
function imnQx(xWKCl,MVpfw)
{
var fijrF=MVpfw[0]
if(fijrF==37) return GLjrH(xWKCl);
if(fijrF==39) return RlmRj(xWKCl);
return true;
}
function QdaEP(xWKCl,BvdBf)
{
var uppSj=BvdBf[0] 
if(uppSj>0)return GLjrH(xWKCl);
if(uppSj<0)return RlmRj(xWKCl);
return true;
}
function WA_PhotoAlbum_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
var nKFew=wa_global_photo_album.fullpage_object
if(wa_global_photo_album.JuVTj)
{
clearTimeout(wa_global_photo_album.JuVTj);
}
var hGmVP=new Rect(0,0,getWindowSize().width,getWindowSize().height)
nKFew.oNUbF.copy(hGmVP)
nKFew.CXXpJ()
wa_global_photo_album.JuVTj=wa_timeout("WA_PhotoAlbum_delayed_resizeUI()",1000)
}
}
function WA_PhotoAlbum_delayed_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
wa_global_photo_album.JuVTj=false
var nKFew=wa_global_photo_album.fullpage_object
nKFew.sBrhs()
}
}
function WA_loadPhotoAlbums()
{
for(var fijrF in wa_global_photo_album)
{
var tKOkF=wa_global_photo_album[fijrF]
var hFcnk=Translator.m_lang_for_filename
if(hFcnk.length>0)hFcnk="_"+hFcnk;
WA_loadScript(tKOkF.src_folder+'/photo-album-definition'+hFcnk+'.js?v='+tKOkF.id_modif,iuSws,[fijrF]);
}
}

-->
